#!/usr/bin/perl
# Ralf's Chat - a Perl webchat script
# Copyright 1998-2002 Ralf Gueldemeister <ralf@ralfchat.com>
#
# This file is part of Ralf's Chat.
#
# Ralf's Chat is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# Ralf's Chat is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Ralf's Chat; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

require "./config.cgi";
require "./shared.cgi";
require "./$lang_dir/$language.cgi";
require "./$html_dir/user_error.cgi";

# Main Part - DON'T CHANGE ANYTHING HERE!
#
#######################

&action;

# <DBI>
$dbh->disconnect if ($use_dbi);
# </DBI>

exit;

sub action {
    if ($query{'action'} eq "stillalive") {
	&checkpass;
	require "./$html_dir/stillalive.cgi";
	&stillalive;
    }
    else {
	&error;
    } 
}

sub stillalive { # stillalive/who prozedur
    &stillalive_html_header;
    
    &saprocess($session{'name'});
    
    my (@sa);
    if ($use_dbi) {
# <DBI>
	my $sth = $dbh->prepare("SELECT name, sa_timestamp, away, userlevel FROM $data{'stillalive'} WHERE room=$session{'room'}");
	$sth->execute;
	my $sa = $sth->fetchall_arrayref;
	@sa = @$sa;
# </DBI>
    } else {
# <NODBI>
	&file_open("stillalive", "<");
	my @row;
	while (<READFILESTILLALIVE>) {
	    chomp;
	    @row = split(/;;/);
	    if ($row[12] == $session{'room'}) {
		push (@sa, [@row]);
	    }
	}
	&file_close("stillalive", "<");
# </NODBI>
    }

    my $nrusers = @sa;
    my $users = $nrusers > 1 ? $msg{'users'} : $msg{'user'};
    
    print "<B><BIG><I>$nrusers $users $msg{'onlin'}";
    if ($room) {
        print " ($rooms{$session{'room'}})";
    }
    print "</I></BIG></B><P>\n";
	
    foreach (sort { lc($$a[0]) cmp lc ($$b[0]) } @sa) {
        my $away_tag = ($$_[2] == 1) ? $msg{'away'} : "";
	print "$away_tag <B><A HREF=\"$script2_name?action=userinfo\&infoabout=$$_[0]\" TARGET=\"RC_INFO\">$$_[0]</A></B> $short_ul_names{$$_[3]}<BR>\n";
    }

    &stillalive_html_footer;

}

# EOF
