#!/usr/bin/perl
# Ralf's Chat - a Perl webchat script
# Copyright 1998-2002 Ralf Gueldemeister <ralf@ralfchat.com>
#
# This file is part of Ralf's Chat.
#
# Ralf's Chat is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# Ralf's Chat is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Ralf's Chat; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# HTML Part
#
########################

#CHATFRAMES.HTML
sub chatframes_html {
    print << "[END]";
<HTML>
<HEAD>
<TITLE>$html_title</TITLE>
</HEAD>
[END]

    if ($banner_url) {
	print << "[END]";
<FRAMESET ROWS="65,*,60" BORDER=0 FRAMEBORDER=0 FRAMESPACING=0>
 <FRAME SRC="$banner_url" SCROLLING=NO>
[END]

    } else {
        print << "[END]";
<FRAMESET ROWS="*,60" BORDER=0 FRAMEBORDER=0 FRAMESPACING=0>
[END]

    }
    print << "[END]";
 <FRAMESET COLS="*,150" BORDER=0 FRAMEBORDER=0 FRAMESPACING=0>
[END]

    if ($session{'streaming'}) {
    print << "[END]";
  <FRAME NAME="main" SRC="$scriptst_name?action=stream&id=$query{'id'}&pause=$pause">
[END]

    } else {
    print << "[END]";
  <FRAME NAME="main" SRC="$script_name?action=chat&id=$query{'id'}&pause=$pause#end">
[END]

    }
    if ($room) {
	print << "[END]";
  <FRAMESET ROWS="*,70" BORDER=0 FRAMEBORDER=0 FRAMESPACING=0>
   <FRAME SRC="$scriptsa_name?action=stillalive&id=$query{'id'}">
   <FRAME SRC="$script2_name?action=rooms&id=$query{'id'}" SCROLLING=NO>
  </FRAMESET>
[END]

    } else {
	print << "[END]";
  <FRAME SRC="$scriptsa_name?action=stillalive&id=$query{'id'}">
[END]

    }
    print << "[END]";
 </FRAMESET>
 <FRAME SRC="$scriptpm_name?action=chatinput_html&id=$query{'id'}" scrolling=no>
</FRAMESET>
</HTML>
[END]

}

1;

# EOF
