#!/usr/bin/perl
# Ralf's Chat - a Perl webchat script
# Copyright 1998-2002 Ralf Gueldemeister <ralf@ralfchat.com>
#
# This file is part of Ralf's Chat.
#
# Ralf's Chat is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# Ralf's Chat is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Ralf's Chat; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# HTML Part
#
########################

# WELCOME.HTML - Printed before user logs in
sub welcome_html { 
    print << "[END]";
<HTML>
<HEAD><TITLE>$html_title - $html{'welco'}{'login'}</TITLE>
$html_css
</HEAD>
$html_bodytag
<CENTER>
<H1><I>$html_title</I></H1>
<H3>$html{'welco'}{'login'}</H3>
<FORM METHOD=POST ACTION="$script2_name">
<INPUT TYPE=hidden NAME="action" VALUE="login">
<TABLE><TR><TD>
<B>$html{'welco'}{'usern'}</B> </TD><TD><INPUT NAME="name"></TD></TR>
<TR><TD><B>$html{'welco'}{'p'}</B> </TD><TD><INPUT TYPE=PASSWORD NAME="password"></TD></TR>
[END]

    if ($room) {
	print << "[END]";
<TR><TD><B>$html{'welco'}{'room'}</B> </TD><TD>
[END]

	&select_room;
	print << "[END]";
</TD></TR>
[END]

    }
    print << "[END]";
</TABLE>
<INPUT TYPE=SUBMIT VALUE="$html{'welco'}{'enter'}">
</FORM>
<P>
<B><A HREF="$script2_name?action=register">$html{'welco'}{'rnu'}</A></B>
[END]

    # show usernames
    if ($show_users_on_login) {
        print << "[END]";
<P>$html{'welco'}{'cc'}<BR>
[END]

        &usernames;
    }

    print << "[END]";
</CENTER>
</BODY>
</HTML>
[END]

}

1;

# EOF
