#!/usr/bin/perl
# Ralf's Chat - a Perl webchat script
# Copyright 1998-2002 Ralf Gueldemeister <ralf@ralfchat.com>
#
# This file is part of Ralf's Chat.
#
# Ralf's Chat is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# Ralf's Chat is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Ralf's Chat; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

require "./config.cgi";
require "./shared.cgi";
require "./$lang_dir/$language.cgi";
require "./$html_dir/user_error.cgi";

# Main Part - DON'T CHANGE ANYTHING HERE!
#
#######################

&action;

$dbh->disconnect;

exit;

sub action {
    if ($query{'action'} eq "stream") {
	&checkpass;
	require "./$html_dir/stream.cgi";
	&stream;
    } else {
	&error;
    } 
}

sub stream {
    my ($lastmsg, $lastsa, $newmsg);
    
    &stream_html;
    
    &saprocess($session{'name'});

    $| = 1;

    while (1) {
	$timestamp = time;
	$newmsg = 0;
	$sth = $dbh->prepare("SELECT * FROM $data{'messages'} WHERE message_id > '$lastmsg' AND room=$session{'room'} ORDER BY message_id");
	$sth->execute();
	
	my $row;
	while ($row = $sth->fetchrow_arrayref) {
	    if ($$row[2] =~ /^(\Q$session{'name'}\E)?$/i) {
		if ($$row[0] eq "action") {
		    if ($$row[3] eq "loginsound" && $session{'loginsound'}) {
			print "<EMBED SRC=\"$session{'loginsound'}\" AUTOSTART=TRUE HEIGHT=1 WIDTH=1>";
		    }
		} else {
		    print "$$row[3]<BR CLEAR=ALL>\n";
		    $newmsg = 1;
		}
	    }
	    $lastmsg = $$row[5];
	}
	
	if ($timestamp > $lastsa + 10) {
	    # keep conection alive
	    print " ";

	    &saprocess;
	    $lastsa = $timestamp;

	    # check if user is still online?
	    $sth = $dbh->prepare("SELECT name FROM $data{'stillalive'} WHERE Lower(name) = Lower('$session{'name'}')");
	    $sth->execute();
	    if (not $sth->fetchrow_arrayref) {
		last;
	    }
	}

	if ($newmsg) {
	    print "<SCRIPT LANGUAGE=\"JavaScript\">window.scrollTo(0,10000);</SCRIPT>\n";
	}
	sleep(1);
    }

}

# EOF
